
%global meadversion 1.0.18
%global namedversion 1.0.18.Final-redhat-00001
%global meadalpha .Final_redhat_00001
%global meadrel .1
%global serial 2
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package wildfly-http-client}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.0.18.Final-redhat-00001

Name:           %{?scl_prefix}wildfly-http-client
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Wildfly HTTP Client
Group:          Development/Java

%if %with mead
Source100: wildfly-http-client-parent-1.0.18.Final-redhat-00001-project-sources.tar.gz
Source102: wildfly-http-client-parent-1.0.18.Final-redhat-00001.pom
Source103: wildfly-http-client-common-1.0.18.Final-redhat-00001.jar
Source104: wildfly-http-ejb-client-1.0.18.Final-redhat-00001.jar
Source105: wildfly-http-client-common-1.0.18.Final-redhat-00001.pom
Source106: wildfly-http-naming-client-1.0.18.Final-redhat-00001.jar
Source107: wildfly-http-transaction-client-1.0.18.Final-redhat-00001.jar
Source108: wildfly-http-transaction-client-1.0.18.Final-redhat-00001.pom
Source109: wildfly-http-ejb-client-1.0.18.Final-redhat-00001-sources.jar
Source110: wildfly-http-naming-client-1.0.18.Final-redhat-00001-sources.jar
Source111: wildfly-http-client-common-1.0.18.Final-redhat-00001-sources.jar
Source112: wildfly-http-transaction-client-1.0.18.Final-redhat-00001-sources.jar
Source113: wildfly-http-ejb-client-1.0.18.Final-redhat-00001.pom
Source114: wildfly-http-naming-client-1.0.18.Final-redhat-00001.pom
Source115: wildfly-http-client-common-1.0.18.Final-redhat-00001-tests.jar
%endif

License:        ASL 2.0
URL:            https://github.com/wildfly/wildfly-http-client
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
%{summary}.

%package -n %{?scl_prefix}wildfly-http-client-common
Summary:        Wildfly HTTP Client Common
Group:          Development/Java


%description -n %{?scl_prefix}wildfly-http-client-common
%{summary}.

%package -n %{?scl_prefix}wildfly-http-ejb-client
Summary:        Wildfly EJB Client HTTP invocation support
Group:          Development/Java


%description -n %{?scl_prefix}wildfly-http-ejb-client
%{summary}.

%package -n %{?scl_prefix}wildfly-http-naming-client
Summary:        Wildfly HTTP Client JNDI invocation support
Group:          Development/Java


%description -n %{?scl_prefix}wildfly-http-naming-client
%{summary}.

%package -n %{?scl_prefix}wildfly-http-transaction-client
Summary:        Wildfly Transaction Client HTTP invocation support
Group:          Development/Java


%description -n %{?scl_prefix}wildfly-http-transaction-client
%{summary}.

%if %with javadoc
%package javadoc
Summary:        Javadoc for wildfly-http-client
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n wildfly-http-client-parent-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/wildfly-http-client-common-%{namedversion}.jar %{buildroot}%{_javadir}/wildfly-http-client-common-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/wildfly-http-client-common-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/wildfly-http-client-common-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/wildfly-http-client-common-%{namedversion}-sources.jar %{buildroot}%{_javadir}/wildfly-http-client-common-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/wildfly-http-ejb-client-%{namedversion}.jar %{buildroot}%{_javadir}/wildfly-http-ejb-client-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/wildfly-http-ejb-client-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/wildfly-http-ejb-client-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/wildfly-http-ejb-client-%{namedversion}-sources.jar %{buildroot}%{_javadir}/wildfly-http-ejb-client-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/wildfly-http-naming-client-%{namedversion}.jar %{buildroot}%{_javadir}/wildfly-http-naming-client-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/wildfly-http-naming-client-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/wildfly-http-naming-client-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/wildfly-http-naming-client-%{namedversion}-sources.jar %{buildroot}%{_javadir}/wildfly-http-naming-client-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/wildfly-http-transaction-client-%{namedversion}.jar %{buildroot}%{_javadir}/wildfly-http-transaction-client-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/wildfly-http-transaction-client-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/wildfly-http-transaction-client-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/wildfly-http-transaction-client-%{namedversion}-sources.jar %{buildroot}%{_javadir}/wildfly-http-transaction-client-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/wildfly-http-client-%{namedversion}
unzip -qq %{_sourcedir}/wildfly-http-client-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/wildfly-http-client-%{namedversion} -x META-INF/\*
%{__ln_s} wildfly-http-client-%{namedversion} %{buildroot}%{_javadocdir}/wildfly-http-client
%endif

%clean
%{__rm} -rf %{buildroot}

%files -n %{?scl_prefix}wildfly-http-client-common
%defattr(0644,root,root,0755)
%{_javadir}/wildfly-http-client-common-%{namedversion}.jar
%{_javadir}/wildfly-http-client-common.jar
%if %with javadoc
%{_javadir}/wildfly-http-client-common-%{namedversion}-javadoc.jar
%{_javadir}/wildfly-http-client-common-javadoc.jar
%endif
%{_javadir}/wildfly-http-client-common-%{namedversion}-sources.jar
%{_javadir}/wildfly-http-client-common-sources.jar

%files -n %{?scl_prefix}wildfly-http-ejb-client
%defattr(0644,root,root,0755)
%{_javadir}/wildfly-http-ejb-client-%{namedversion}.jar
%{_javadir}/wildfly-http-ejb-client.jar
%if %with javadoc
%{_javadir}/wildfly-http-ejb-client-%{namedversion}-javadoc.jar
%{_javadir}/wildfly-http-ejb-client-javadoc.jar
%endif
%{_javadir}/wildfly-http-ejb-client-%{namedversion}-sources.jar
%{_javadir}/wildfly-http-ejb-client-sources.jar

%files -n %{?scl_prefix}wildfly-http-naming-client
%defattr(0644,root,root,0755)
%{_javadir}/wildfly-http-naming-client-%{namedversion}.jar
%{_javadir}/wildfly-http-naming-client.jar
%if %with javadoc
%{_javadir}/wildfly-http-naming-client-%{namedversion}-javadoc.jar
%{_javadir}/wildfly-http-naming-client-javadoc.jar
%endif
%{_javadir}/wildfly-http-naming-client-%{namedversion}-sources.jar
%{_javadir}/wildfly-http-naming-client-sources.jar

%files -n %{?scl_prefix}wildfly-http-transaction-client
%defattr(0644,root,root,0755)
%{_javadir}/wildfly-http-transaction-client-%{namedversion}.jar
%{_javadir}/wildfly-http-transaction-client.jar
%if %with javadoc
%{_javadir}/wildfly-http-transaction-client-%{namedversion}-javadoc.jar
%{_javadir}/wildfly-http-transaction-client-javadoc.jar
%endif
%{_javadir}/wildfly-http-transaction-client-%{namedversion}-sources.jar
%{_javadir}/wildfly-http-transaction-client-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/wildfly-http-client-%{namedversion}
%{_javadocdir}/wildfly-http-client
%endif

%changelog
* Mon Dec 09 2019 Permaine Cheung <pcheung@redhat.com> - 1.0.18-2.Final_redhat_00001.1
- Remove Requires for EAP installation

* Wed Dec 04 2019 Yong Yang <yyang@redhat.com> - 1.0.18-1.Final_redhat_00001.1
- RPM wrapper build 1.0.18.Final-redhat-00001

* Mon Nov 18 2019 Yong Yang <yyang@redhat.com> - 1.0.17-2.Final_redhat_00001.1
- RPM wrapper build 1.0.18.Final-redhat-00001

* Wed Oct 16 2019 Neil Wallace <nwallace@redhat.com> - 1.0.17-1.Final_redhat_00001.1
- 1.0.17.Final-redhat-00001

* Mon May 13 2019 Permaine Cheung <pcheung@redhat.com> - 1.0.15-1.Final_redhat_00001.1
- 1.0.15.Final_redhat_00001

* Wed Mar 06 2019 Neil Wallace <nwallace@redhat.com> - 1.0.13-1.Final_redhat_00001.1
- 1.0.13.Final_redhat_00001

* Wed Mar 06 2019 Neil Wallace <nwallace@redhat.com> - 1.0.13.Final_redhat_1-1.1%{nil}
- 1.0.13.Final_redhat_00001

* Tue Jul 03 2018 Permaine Cheung <pcheung@redhat.com> - 1.0.12-1.Final_redhat_1.1
- Wrapper for EAP 7.2.0

* Thu May 24 2018 Petr Sakar <psakar@redhat.com> - 1.0.12-1.Final_redhat_1.1
- upgrade to 1.0.12.Final-redhat-1

* Tue Jan 30 2018 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.0.9-1.Final_redhat_1.1
- upgrade to 1.0.9.Final-redhat-1

* Wed Oct 11 2017 Petr Sakar <psakar@redhat.com> - 1.0.8-1.Final_redhat_1.1
- upgrade to 1.0.8.Final-redhat-1

* Tue Sep 19 2017 Petr Sakar <psakar@redhat.com> - 1.0.3-1.Final_redhat_1.1
- upgrade to 1.0.3.Final-redhat-1

* Tue Aug 22 2017 Petr Sakar <psakar@redhat.com> - 1.0.1-1.Final_redhat_1.1
- upgrade to 1.0.1.Final-redhat-1

* Mon Jul 03 2017 Martin Minar <mminar@redhat.com> - 1.0.0-8.CR6_redhat_1.1
- upgrade to 1.0.0.CR6-redhat-1

* Fri Jun 23 2017 Petr Sakar <psakar@redhat.com> - 1.0.0-7.CR5_redhat_1.1
- upgrade to 1.0.0.CR5-redhat-1

* Thu Jun 01 2017 Petr Sakar <psakar@redhat.com> - 1.0.0-6.CR4_redhat_1.1
- upgrade to 1.0.0.CR4-redhat-1

* Wed May 10 2017 Martin Minar <mminar@redhat.com> - 1.0.0-5.CR3_redhat_1.1
- update to 1.0.0.CR3

* Wed Apr 26 2017 Martin Minar <mminar@redhat.com> - 1.0.0-4.CR2_redhat_1.1
- update version to 1.0.0.CR2

* Wed Mar 15 2017 Petr Sakar <psakar@redhat.com> - 1.0.0-3.Alpha4_redhat_1.1
- upgrade to 1.0.0.Alpha4-redhat-1

* Wed Mar 15 2017 Petr Sakar <psakar@redhat.com> - 1.0.0-2.Alpha3_redhat_1.1
- upgrade to 1.0.0.Alpha3-redhat-1

* Tue Feb 28 2017 David Walluck <dwalluck@redhat.com> - 1.0.0-1.Alpha2_redhat_1.1
- release

